Skip to navigation

Get Review by ID

Beta
Get a single Review by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

review_idstringRequired
ID of the Review.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstringOptional
Timestamp when this review was created
idstringOptional
ID of the review
reviewHistorystringOptionalformat: "uri"

Ordered list of ReviewChange records representing the full audit history of this review. Each ReviewChange captures a single action taken (e.g. send-for-review, approve, reject, retract), the timestamp it occurred, any associated comment, and an optional point-in-time snapshot. To query review history by the reviewable item’s ID (e.g. an entry ID like etr_…) instead of the review ID, use GET /benchling/review-change/items?reviewableId.anyOf=<id>.

reviewProcessobject or nullOptional
The review process that governs this review
reviewSenderobject or nullOptional

The user who last sent this reviewable for review, or self-approved in a self-review process.

reviewableIdstringOptional

API identifier of the reviewable item (e.g. an Entry) that this review belongs to.

reviewerslist of objects or nullOptional
Reviewers associated with this review
statusenum or nullOptional
The status of this review

Errors

400
Review Get Request Bad Request Error
403
Review Get Request Forbidden Error
404
Review Get Request Not Found Error
429
Review Get Request Too Many Requests Error
500
Review Get Request Internal Server Error